//Bf2 Rank Mod Commands File
//Contains all the client command functions

#if defined bf2_cmds_included
  #endinput
#endif
#define bf2_cmds_included

//Public menu / say commands. Help motds etc..
public show_rankhelp(id)
{
	if (!get_pcvar_num(gPcvarBF2Active))
		return;

	new tempstring[100];
	new motd[2048];
	new Float:xpmult=get_pcvar_float(gPcvarXpMultiplier);

	new kills;

	formatex(motd, charsmax(motd), "<html><body bgcolor=^"#474642^"><font size=^"2^" face=^"verdana^" color=^"FFFFFF^"><strong>");
	formatex(tempstring, charsmax(tempstring), "Rank Points Table</strong><br><br>");
	add(motd, charsmax(motd), tempstring);

	for (new counter = 0; counter < (MAX_RANKS-1); counter++)
	{
		kills = floatround(float(gRankXP[counter])*xpmult);
		formatex(tempstring, charsmax(tempstring), "%s - %d pts", gRankName[counter], kills);
		add(motd, charsmax(motd), tempstring);
		add(motd, charsmax(motd), "<br>");

		switch(counter)
		{
			case 7:
			{
				formatex(tempstring, charsmax(tempstring), "%s - Wymagane %s oraz %d Odznak *", gRankName[17], gRankName[7], MAX_BADGES);
				add(motd, charsmax(motd), tempstring);
				add(motd, charsmax(motd), "<br>");
			}
			case 8:
			{
				formatex(tempstring, charsmax(tempstring), "%s - Wymagane %s oraz %d Odznak *", gRankName[18], gRankName[8], MAX_BADGES*2);
				add(motd, charsmax(motd), tempstring);
				add(motd, charsmax(motd), "<br>");
			}
		}
	}

	formatex(tempstring, charsmax(tempstring), "%s - Wymagane %s oraz %d Odznak", gRankName[19], gRankName[15], MAX_BADGES*3);
	add(motd, charsmax(motd), tempstring);
	add(motd, charsmax(motd), "<br>");

	kills = floatround(float(gRankXP[MAX_RANKS-1])*xpmult);
	formatex(tempstring, charsmax(tempstring), "%s - Wymagane %s oraz %d Zabic", gRankName[16], gRankName[19], kills);
	add(motd, charsmax(motd), tempstring);
	add(motd, charsmax(motd), "<br>");

	formatex(tempstring, charsmax(tempstring), "%s - Wymagane %s oraz bycia Liderem rankingu", gRankName[20], gRankName[16]);
	add(motd, charsmax(motd), tempstring);
	add(motd, charsmax(motd), "<br>");

	add(motd, charsmax(motd), "<br> * Specjalne Rangi - Te informacje zostana pominiete jesli nie spelniasz odpowiednnich wymagan");
	add(motd, charsmax(motd), "</font></body></html>");

	show_motd(id, motd, "BF2: Wymagania Rang");

	Bf2menu(id);
}

public show_server_stats(id)
{
	if (!get_pcvar_num(gPcvarBF2Active))
		return PLUGIN_CONTINUE;

	new tempstring[100];
	new motd[2048];
	new names[4][32];

	get_user_name(highestrankid, names[0], charsmax(names[]));

	formatex(motd,charsmax(motd),"<html><body bgcolor=^"#474642^"><font size=^"2^" face=^"verdana^" color=^"FFFFFF^"><strong>");
	formatex(tempstring,charsmax(tempstring),"Obecne Statystyki</strong><br><br>");
	add(motd,charsmax(motd),tempstring);

	formatex(tempstring,charsmax(tempstring),"Najwyzsza Ranga: %s %s<br><br>",gRankName[highestrank],names[0]);
	add(motd,charsmax(motd),tempstring);

	formatex(tempstring,charsmax(tempstring),"<strong>Statystyki Serwera</strong><br><br>");
	add(motd,charsmax(motd),tempstring);

	formatex(tempstring,charsmax(tempstring),"Najwyzsza Ranga: %s %s<br><br>", gRankName[highestrankserver], highestrankservername);
	add(motd,charsmax(motd),tempstring);
	formatex(tempstring,charsmax(tempstring),"Najwiecej Zabic: %s %i<br><br>",mostkillsname,mostkills);
	add(motd,charsmax(motd),tempstring);
	formatex(tempstring,charsmax(tempstring),"Najwiecej Zwyciestw: %s %i<br><br>",mostwinsname,mostwins);
	add(motd,charsmax(motd),tempstring);
	add(motd,charsmax(motd),"</font></body></html>");

	show_motd(id,motd,"BF2: Statystki Serwera");

	Bf2menu(id);

	return PLUGIN_CONTINUE;
}

public show_badgehelp(id)
{
	if (!get_pcvar_num(gPcvarBF2Active))
		return PLUGIN_CONTINUE;

	new url[100];
	get_pcvar_string(gPcvarHelpUrl,url,charsmax(url));

	if (equal(url,""))
	{
		formatex(configfile,charsmax(configfile),"%s/bf2/badges1.html",configsdir);	
	}
	else
	{
		formatex(configfile,charsmax(configfile),"%s/badges1web.html",url);
	}
	show_motd(id, configfile, "BF2: Odznaki - Pomoc 1");

	Bf2menu(id);

	return PLUGIN_CONTINUE;
}

public show_badgehelp2(id)
{
	if (!get_pcvar_num(gPcvarBF2Active))
		return PLUGIN_CONTINUE;

	new url[100];
	get_pcvar_string(gPcvarHelpUrl,url,charsmax(url));

	if (equal(url,""))
	{
		formatex(configfile,charsmax(configfile),"%s/bf2/badges2.html",configsdir);
	}
	else
	{
		formatex(configfile,charsmax(configfile),"%s/badges2web.html",url);
	}

	show_motd(id, configfile, "BF2: Odznaki - Pomoc 2");

	Bf2menu(id);

	return PLUGIN_CONTINUE;
}

public show_badgehelp3(id)
{
	if (!get_pcvar_num(gPcvarBF2Active))
		return PLUGIN_CONTINUE;

	new url[100];
	get_pcvar_string(gPcvarHelpUrl,url,charsmax(url));

	if (equal(url,""))
	{
		formatex(configfile,charsmax(configfile),"%s/bf2/badges3.html",configsdir);
	}
	else
	{
		formatex(configfile,charsmax(configfile),"%s/badges3web.html",url);
	}

	show_motd(id, configfile, "Odznaki - Pomoc 3");

	Bf2menu(id);

	return PLUGIN_CONTINUE;
}

public cmd_say(id)
{
	if (!get_pcvar_num(gPcvarBF2Active))
		return PLUGIN_CONTINUE;

	new Arg1[31];
	read_args(Arg1, charsmax(Arg1));
	remove_quotes(Arg1);

	if (!((equal(Arg1, "/whois",6)) || (equal(Arg1, "/whostats",6))))
		return PLUGIN_CONTINUE;

	if (equal(Arg1, "/whostats",6))
	{
		new player = cmd_target(id, Arg1[10], 0);
		if (!player)
		{
			client_print(id,print_chat, "[BF2] Przepraszamy, gracz %s nie moze zostac zlokalizowany", Arg1[10]);
			return PLUGIN_CONTINUE;
		}

		display_stats(id,player);

		return PLUGIN_CONTINUE;
	}

	new player = cmd_target(id, Arg1[7], 0);

	if (!player)
	{

		client_print(id,print_chat, "[BF2] Przepraszamy, gracz %s nie moze zostac zlokalizowany!", Arg1[7]);
		return PLUGIN_CONTINUE;
	}

	display_badges(id,player);

	return PLUGIN_CONTINUE;
}

public display_badges(id,badgeid)
{
	new name[32];
	get_user_name(badgeid,name,charsmax(name));

	new tempstring[100];
	new motd[2048];

	formatex(motd,charsmax(motd),"<html><body bgcolor=^"#474642^"><font size=^"2^" face=^"verdana^" color=^"FFFFFF^"><strong><b>");
	formatex(tempstring,charsmax(tempstring),"Statystyki Rang i Odznak dla gracza %s</strong></b>", name);
	add(motd,charsmax(motd),tempstring);
	add(motd,charsmax(motd),"<br><br>");
	formatex(tempstring,charsmax(tempstring),"Ranking: %s",gRankName[g_PlayerRank[badgeid]]);
	add(motd,charsmax(motd),tempstring);
	add(motd,charsmax(motd),"<br><br>");

	if (!get_pcvar_num(gPcvarBadgesActive))
	{
		add(motd,charsmax(motd),"</font></body></html>");
		show_motd(id,motd,"BF2: Informacje o Graczu");

		return PLUGIN_CONTINUE;
	}

	formatex(tempstring,charsmax(tempstring),"Zdobyte Odznaki: %d/%d<br>", numofbadges[badgeid], MAX_BADGES*3);
	add(motd,charsmax(motd),tempstring);

	for (new counter=0; counter<MAX_BADGES; counter++)
	{
		if(g_PlayerBadges[badgeid][counter]!=0)
		{
			formatex(tempstring,charsmax(tempstring),"&nbsp;%s",gBadgeName[counter][g_PlayerBadges[badgeid][counter]]);
			add(motd,charsmax(motd),tempstring);
			formatex(tempstring,charsmax(tempstring)," - %s<br>",gBadgeInfo[counter]);
			add(motd,charsmax(motd),tempstring);
		}
	}

	add(motd,charsmax(motd),"</font></body></html>");

	show_motd(id,motd,"BF2: Informacje o Graczu");

	Bf2menu(id);

 	return PLUGIN_CONTINUE;
}

public cmd_who(id)
{
	if (!get_pcvar_num(gPcvarBF2Active))
		return PLUGIN_CONTINUE;

	new tempstring[100],players[32],num,tempname[32];
	new motd[2048];

	formatex(motd,charsmax(motd),"<html><body bgcolor=^"#474642^"><font size=^"2^" face=^"verdana^" color=^"FFFFFF^"><strong><b>Ranking Graczy</strong></b><br><br>");

	get_players(players,num);

	for (new counter=0; counter<num; counter++)
	{
		get_user_name(players[counter], tempname, charsmax(tempname));
		formatex(tempstring,charsmax(tempstring),"%s - %s<br>",tempname,gRankName[g_PlayerRank[players[counter]]]);
		add(motd,charsmax(motd),tempstring);

	}
	add(motd,charsmax(motd),"</font></body></html>");

	show_motd(id,motd,"BF2: Ranking Graczy");

	Bf2menu(id);

	return PLUGIN_CONTINUE;

}

public cmd_help(id)
{
	if (!get_pcvar_num(gPcvarBF2Active))
		return PLUGIN_CONTINUE;

	new url[100];
	get_pcvar_string(gPcvarHelpUrl,url,charsmax(url));

	if (equal(url,""))
	{
		formatex(configfile,charsmax(configfile),"%s/bf2/help.html",configsdir);
	}
	else
	{
		formatex(configfile,charsmax(configfile),"%s/helpweb.html",url);
	}

	show_motd(id, configfile, "BF2: Pomoc");

	Bf2menu(id);

	return PLUGIN_CONTINUE;

}

public show_stats(id)
{
	if (!get_pcvar_num(gPcvarBF2Active))
		return PLUGIN_CONTINUE;

	display_stats(id,id);

	Bf2menu(id);

	return PLUGIN_CONTINUE;

}

public display_stats(id,statsid)
{
	new tempstring[100];
	new motd[2048];
	new stats[8],bodyhits[8];
	new ranked=get_user_stats(statsid, stats, bodyhits);
	new tempname[32];
	get_user_name(statsid,tempname,charsmax(tempname));

	formatex(motd,charsmax(motd),"<html><body bgcolor=^"#474642^"><font size=^"2^" face=^"verdana^" color=^"FFFFFF^"><strong>Statystyki Graczy: %s</strong><br>", tempname);
	add(motd,charsmax(motd),"(Aktualizowane co Runde)<br><br>");

	formatex(tempstring,charsmax(tempstring),"Ogolne Zabicia: %d<br>",totalkills[statsid]);
	add(motd,charsmax(motd),tempstring);
	formatex(tempstring,charsmax(tempstring),"Ogolne Zabicia z Noza: %d<br>",knifekills[statsid]);
	add(motd,charsmax(motd),tempstring);
	formatex(tempstring,charsmax(tempstring),"Ogolne Zabicia Pistoletami: %d<br>",pistolkills[statsid]);
	add(motd,charsmax(motd),tempstring);
	formatex(tempstring,charsmax(tempstring),"Ogolne Zabicia z M249: %d<br>",parakills[statsid]);
	add(motd,charsmax(motd),tempstring);
	formatex(tempstring,charsmax(tempstring),"Ogolne Zabicia Snajperkami: %d<br>",sniperkills[statsid]);
	add(motd,charsmax(motd),tempstring);
	formatex(tempstring,charsmax(tempstring),"Ogolne Zabicia Karabinam: %d<br>",riflekills[statsid]);
	add(motd,charsmax(motd),tempstring);
	formatex(tempstring,charsmax(tempstring),"Ogolne Zabicia Shotgunami: %d<br>",shotgunkills[statsid]);
	add(motd,charsmax(motd),tempstring);
	formatex(tempstring,charsmax(tempstring),"Ogolne Zabicia z SMG: %d<br>",smgkills[statsid]);
	add(motd,charsmax(motd),tempstring);
	formatex(tempstring,charsmax(tempstring),"Ogolne Zabicia z Granatow: %d<br>",grenadekills[statsid]);
	add(motd,charsmax(motd),tempstring);
	formatex(tempstring,charsmax(tempstring),"Ogolna Celnosc: %d percent<br>",accuracy[statsid]);
	add(motd,charsmax(motd),tempstring);
	formatex(tempstring,charsmax(tempstring),"Ogolna ilosc podlozonych bomb: %d<br>",plants[statsid]);
	add(motd,charsmax(motd),tempstring);
	formatex(tempstring,charsmax(tempstring),"Ogolna ilosc bomb ktore wybuchly: %d<br>",explosions[statsid]);
	add(motd,charsmax(motd),tempstring);
	formatex(tempstring,charsmax(tempstring),"Ogolna ilosc bomb ktore zostaly rozbrojone: %d<br>",defuses[statsid]);
	add(motd,charsmax(motd),tempstring);
	formatex(tempstring,charsmax(tempstring),"Obecna ranga gracza: #%d<br>",ranked);
	add(motd,charsmax(motd),tempstring);
	formatex(tempstring,charsmax(tempstring),"Zdobyte Medale: Zloty %d, Srebrny %d, Brazowy %d<br>",gold[statsid],silver[statsid],bronze[statsid]);
	add(motd,charsmax(motd),tempstring);

	add(motd,charsmax(motd),"</font></body></html>");

	show_motd(id,motd,"BF2: Statystyki Gracza");

}

//Admin only commands below here


//Gives badge to specified player
public add_badge(id,level,cid)
{
	if (!cmd_access(id, level, cid, 4)) return PLUGIN_HANDLED;

	new Arg1[24];
	new Arg2[4];
	new Arg3[4];


	read_argv(1, Arg1, charsmax(Arg1));
	read_argv(2, Arg2, charsmax(Arg2));
	read_argv(3, Arg3, charsmax(Arg3));

	new badge = str_to_num(Arg2);
	new level = str_to_num(Arg3);

	new player = cmd_target(id, Arg1, 0);

	if (!player || (level>3) || (level<0) || (badge>7) || (badge<0))
        {
			console_print(id, "Przepraszamy, gracz %s nie moze zostac zlokalizowany! lub bledna odznaka/poziom", Arg1);
			return PLUGIN_HANDLED;
	} else {
			g_PlayerBadges[player][badge]=level;
			client_print(id,print_chat,"[BF2] %s odznaka zostala przyznana graczowi %s",gBadgeName[badge][level],Arg1);
			save_badges(player);
			DisplayHUD(player);
        }

	new adminauthid[35];
	new awardauthid[35];
	get_user_authid (id,adminauthid,charsmax(adminauthid));
	get_user_authid (player,awardauthid,charsmax(awardauthid));

	log_amx("[BF2-ADMIN]Admin %s przyznal odznake %s graczowi %s",adminauthid,gBadgeName[badge][level],awardauthid);

	return PLUGIN_HANDLED;
}

//Gives kills to specified player
public add_kills(id,level,cid)
{
	if (!cmd_access(id, level, cid, 3))
        	return PLUGIN_HANDLED;

     	new Arg1[24];
     	new Arg2[6];

     	read_argv(1, Arg1, charsmax(Arg1));
     	read_argv(2, Arg2, charsmax(Arg2));

     	new kills = str_to_num(Arg2);

	new player = cmd_target(id, Arg1, 0);

	if (!player)
        {
			console_print(id, "Przepraszamy, gracz %s nie moze zostac zlokalizowany!", Arg1);
			return PLUGIN_HANDLED;
        } else {
			totalkills[player]+=kills;
			client_print(id,print_chat,"[BF2] %d fragi zostaly przyznane dla gracza %s",kills,Arg1);
			save_badges(player);
			DisplayHUD(player);
        }

	new adminauthid[35];
	new awardauthid[35];
	get_user_authid(id,adminauthid,charsmax(adminauthid));
	get_user_authid(player,awardauthid,charsmax(awardauthid));

	log_amx("[BF2-ADMIN]Admin %s przyznal %i fragow dla gracza %s",adminauthid,kills,awardauthid);

	return PLUGIN_HANDLED;
}