//Bf2 Rank Mod HUD File
//Contains all the HUD functions.

#if defined bf2_hud_included
  #endinput
#endif
#define bf2_hud_included

//Show an announcement display
public Announcement(id)
{
	if ( !get_pcvar_num(gPcvarBF2Active) || is_user_bot(id) ) return;

	client_print(id, print_chat, "", gPluginName);
}

//Displays the HUD to the user

public DisplayHUD(id)
{
        id -= TASK_HUD;
        
        if ( !get_pcvar_num(gPcvarBF2Active) || !get_pcvar_num(gPcvarStatusText) )
                return;
        if ( !is_user_alive(id) || is_user_bot(id) )
                return;
        
        if(!is_user_connected(id))
        {
                remove_task(id+TASK_HUD);
                return;
        }

        set_hudmessage(227, 96, 8, 0.05, 0.15, 0, 0.0, 0.3, 0.0, 0.0, 3)
        if ( !gStatsLoaded[id] )
        {
                ShowSyncHudMsg(id, gHUD,"[%s] Wczytuje Dane...", gPluginName)
        }
        else
        {
                new rank = g_PlayerRank[id];
                new nextrank;

                switch(rank)
                {
                        case 16, 19, 20, 21: nextrank = 15;
                        case 17: nextrank = 7;
                        case 18: nextrank = 8;
                        default: nextrank = rank;
                }

                ++nextrank;

                new nextrankxp = floatround(gRankXP[nextrank] * get_pcvar_float(gPcvarXpMultiplier));

                if ( !get_pcvar_num(gPcvarBadgesActive) )
                {
                        ShowSyncHudMsg(id, gHUD,"^n^n^n^n^n^n^n^nRanga: %s^nZabicia: %d/%d", gRankName[rank], totalkills[id])
                }
                else
                {
                        ShowSyncHudMsg(id, gHUD,"^n^n^n^n^n^n^n^n^nRanga: %s^nZabicia: %d^n[Forum: CSSq.pl]",gRankName[rank], totalkills[id])
                }
        }
}

public RemoveHUD(id)
{
        remove_task(id+TASK_HUD);
}